/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
type AwsCliProps = Widget & {
    command: string;
};
export declare class AwsCli extends BaseWidget {
    static type: string;
    command: string;
    private _commandResult;
    private _hasDataBeenFetched;
    constructor(props: AwsCliProps);
    fromJson(object: AwsCliProps): AwsCli;
    toJson(): AwsCliProps;
    getData(providers?: BaseProvider[], overrides?: {
        [key: string]: any;
    }): Promise<void>;
    get commandResult(): {
        stdout: string;
        stderr: string;
    };
    get hasDataBeenFetched(): boolean;
    render(): JSX.Element;
}
export {};
